Consultar motivos para rechazar un pedido de canal
curl --request GET \
--url https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"label": "<string>",
"value": "<string>"
}
]
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Operación de pedidos de canales
Consultar motivos para rechazar un pedido de canal
Devuelve los motivos admitidos por el canal del pedido. Usa value como reason al rechazarlo. Requiere un usuario conectado. Usa los permisos y la operación del PDV para ese usuario. Una credencial sin usuario devuelve userRequired.
GET
/
admin
/
stores
/
{storeId}
/
tabs
/
{tabId}
/
rejection-reasons
Consultar motivos para rechazar un pedido de canal
curl --request GET \
--url https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/admin/stores/{storeId}/tabs/{tabId}/rejection-reasons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"label": "<string>",
"value": "<string>"
}
]
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID Justo o externo del local, obtenido de GET /ecommerce/stores.
ID de la cuenta, obtenido de GET /tabs/{storeId}/tabs.